com.corticon.rulesemf.operationsmodel.provider

## Class OperationsmodelItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.operationsmodel.util.OperationsmodelAdapterFactory
    - - com.corticon.rulesemf.operationsmodel.provider.OperationsmodelItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class OperationsmodelItemProviderAdapterFactory
      extends OperationsmodelAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected ExtendedOperatorSetItemProvider` | `extendedOperatorSetItemProvider` This keeps track of the one adapter used for all `ExtendedOperatorSet` instances
    `protected MethodItemProvider` | `methodItemProvider` This keeps track of the one adapter used for all `Method` instances
    `protected OperatorNodeItemProvider` | `operatorNodeItemProvider` This keeps track of the one adapter used for all `OperatorNode` instances
    `protected OperatorTreeItemProvider` | `operatorTreeItemProvider` This keeps track of the one adapter used for all `OperatorTree` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected ServiceCalloutItemProvider` | `serviceCalloutItemProvider` This keeps track of the one adapter used for all `ServiceCallout` instances
    `protected StandAloneExtensionItemProvider` | `standAloneExtensionItemProvider` This keeps track of the one adapter used for all `StandAloneExtension` instances
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
    `protected TypeExtensionItemProvider` | `typeExtensionItemProvider` This keeps track of the one adapter used for all `TypeExtension` instances

    - ### Fields inherited from class com.corticon.rulesemf.operationsmodel.util.OperationsmodelAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationsmodelItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createExtendedOperatorSetAdapter()` This creates an adapter for a `ExtendedOperatorSet`
    `org.eclipse.emf.common.notify.Adapter` | `createMethodAdapter()` This creates an adapter for a `Method`
    `org.eclipse.emf.common.notify.Adapter` | `createOperatorNodeAdapter()` This creates an adapter for a `OperatorNode`
    `org.eclipse.emf.common.notify.Adapter` | `createOperatorTreeAdapter()` This creates an adapter for a `OperatorTree`
    `org.eclipse.emf.common.notify.Adapter` | `createServiceCalloutAdapter()` This creates an adapter for a `ServiceCallout`
    `org.eclipse.emf.common.notify.Adapter` | `createStandAloneExtensionAdapter()` This creates an adapter for a `StandAloneExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createTypeExtensionAdapter()` This creates an adapter for a `TypeExtension`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.operationsmodel.util.OperationsmodelAdapterFactory

      `createAdapter, createAssetAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### operatorTreeItemProvider

          protected OperatorTreeItemProvider operatorTreeItemProvider

      This keeps track of the one adapter used for all `OperatorTree` instances.

    - #### operatorNodeItemProvider

          protected OperatorNodeItemProvider operatorNodeItemProvider

      This keeps track of the one adapter used for all `OperatorNode` instances.

    - #### methodItemProvider

          protected MethodItemProvider methodItemProvider

      This keeps track of the one adapter used for all `Method` instances.

    - #### extendedOperatorSetItemProvider

          protected ExtendedOperatorSetItemProvider extendedOperatorSetItemProvider

      This keeps track of the one adapter used for all `ExtendedOperatorSet` instances.

    - #### standAloneExtensionItemProvider

          protected StandAloneExtensionItemProvider standAloneExtensionItemProvider

      This keeps track of the one adapter used for all `StandAloneExtension` instances.

    - #### typeExtensionItemProvider

          protected TypeExtensionItemProvider typeExtensionItemProvider

      This keeps track of the one adapter used for all `TypeExtension` instances.

    - #### serviceCalloutItemProvider

          protected ServiceCalloutItemProvider serviceCalloutItemProvider

      This keeps track of the one adapter used for all `ServiceCallout` instances.

  - ### Constructor Detail

    - #### OperationsmodelItemProviderAdapterFactory

          public OperationsmodelItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createOperatorTreeAdapter

          public org.eclipse.emf.common.notify.Adapter createOperatorTreeAdapter()

      This creates an adapter for a `OperatorTree`.
      Overrides:
        `createOperatorTreeAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `OperatorTree`

    - #### createOperatorNodeAdapter

          public org.eclipse.emf.common.notify.Adapter createOperatorNodeAdapter()

      This creates an adapter for a `OperatorNode`.
      Overrides:
        `createOperatorNodeAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `OperatorNode`

    - #### createMethodAdapter

          public org.eclipse.emf.common.notify.Adapter createMethodAdapter()

      This creates an adapter for a `Method`.
      Overrides:
        `createMethodAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Method`

    - #### createExtendedOperatorSetAdapter

          public org.eclipse.emf.common.notify.Adapter createExtendedOperatorSetAdapter()

      This creates an adapter for a `ExtendedOperatorSet`.
      Overrides:
        `createExtendedOperatorSetAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ExtendedOperatorSet`

    - #### createStandAloneExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createStandAloneExtensionAdapter()

      This creates an adapter for a `StandAloneExtension`.
      Overrides:
        `createStandAloneExtensionAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `StandAloneExtension`

    - #### createTypeExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeExtensionAdapter()

      This creates an adapter for a `TypeExtension`.
      Overrides:
        `createTypeExtensionAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `TypeExtension`

    - #### createServiceCalloutAdapter

          public org.eclipse.emf.common.notify.Adapter createServiceCalloutAdapter()

      This creates an adapter for a `ServiceCallout`.
      Overrides:
        `createServiceCalloutAdapter` in class `OperationsmodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ServiceCallout`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `OperationsmodelAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.